Subject: categories: More comments on Functorial injective hulls

From: Peter Freyd <[email-masked]>
Date: Thu, 23 Mar 2000 14:12:31 -0500 (EST)

Some comments on:

>Theorem. Let  H  be a class of morphisms in a category  C  such that
>1. all H-injective objects form a cogenerating class, and
>2. the class of all H-essential morphisms which are epimorphic
>	is precisely the class of isomorphisms of  C .
>Then C cannot have natural H-injective hulls (i.e. they cannot
>form an endofunctor together with a natural transformation from Id)
>unless every object in  C  is H-injective.

Walter wrote "We are able to compensate for the loss of mono through
condition 1". Wouldn't it be simpler just to say that condition 1 
implies that everything in  H  is a monomorphisms?
                                              x        y
(Let  A --> B  be an  H-morphism  and let  X --> A, X --> A  be such
         x                 y
that  X --> A --> B  =  X --> A --> B. If  x  were  different from
y  then there would be   A --> E, E  an  H-injective object, so that
   x                                  y
X --> A --> E  were different from X --> A --> E.  But there would
have to be  B --> E  such that  A --> E  =  A --> B --> E  and 
    x                                            y
 X --> A --> B  would have be different from  X --> A --> B.)

So H-morphism is a strengthening of monic and that put's us back to
the situation I outlined:

  If the strengthening of monic is such that it becomes an iso
  whenever epic then there's an easy proof of the impossibility of
  functoriality, with or without a cogenerator.

---

From: "Walter Tholen" <[email-masked]>
Date: Fri, 24 Mar 2000 14:06:09 -0500

Good point, I did not see that! So the whole thing boils down to a very simple
observation on pointed endofunctors (which is certainly well-known for
reflectors): suppose you have an endofunctor F and a natural transformation
u:Id --> F which is pointwise monic; then, if Fu is pointwise epic, u itself is
pointwise epic. Proof:

        u_A     x,y
     A ---> FA ---> B
     |       |      |
 u_A |  u_FA |      | u_B
     |       |      |
     FA --> FFA --> FB
        Fu_A   Fx,Fy

( xu = yu gives Fx.Fu = Fy.Fu, hence Fx = Fy and then ux = uy and x = y.)

Coming back to injectivity: if u was pointwise an H-injective hull, then both
uF and Fu must be isos (independently of H being a class of monos or not!).
Hence, if H is a class of monos, the statement above applies.

>-- End of excerpt from Peter Freyd